/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts;

import org.lexgrid.extension.cts.terminology.dto.CTSVersionId;

/**
 * Any service interface extending this one will provide name, version, and description information
 * about itself and regarding CTS.
 */
public interface IdentifiableService {

    /**
     * @return the CTS version that this service implements.
     */
    CTSVersionId getCTSVersion();

    /**
     * @return a description of the service function, authors, copyrights, etc.
     */
    java.lang.String getServiceDescription();

    /**
     * @return the name that was assigned to this service by the service provider.
     */
    java.lang.String getServiceName();

    /**
     * @return the current version of the service software.
     */
    java.lang.String getServiceVersion();
}