/**
 * 
 */
package org.lexgrid.extension.cts;

import org.LexGrid.LexBIG.Exceptions.LBException;
import org.LexGrid.LexBIG.Extensions.Generic.GenericExtension;
import org.LexGrid.LexBIG.LexBIGService.LexBIGService;
import org.LexGrid.annotations.LgClientSideSafe;
import org.lexgrid.extension.cts.impl.LexBigBrowserOperations;
import org.lexgrid.extension.cts.impl.LexBigCodeMappingOperations;
import org.lexgrid.extension.cts.impl.LexBigRuntimeOperations;

/**
 * @author m004181
 *
 */
public interface LexEVSCTSExtension extends GenericExtension {
	
	/**
	 * @return LexBIGService
	 * 
	 * Return the associated LexBIGService instance;
	 * lazy initialized as required.
	 */
	@LgClientSideSafe
    LexBIGService getLexBIGService();
	
	/**
	 * Assign the associated LexBIGService instance.
	 * <p>
	 * Note: This method must be invoked by users of the
	 * distributed LexBIG API to set the service to an
	 * EVSApplicationService object, allowing client side
	 * implementations to use these convenience methods.
	 */
	@LgClientSideSafe
    void setLexBIGService(LexBIGService lbs);
	
	/**
	 * @return LexBigBrowserOperations
	 * 
	 * Return the associated CTS Vocabulary API Browser Operations instance;
	 * lazy initialized as required.
	 * @throws LBException 
	 */
	@LgClientSideSafe
    LexBigBrowserOperations getVAPIBrowserOperations() throws LBException;
	
	/**
	 * @return LexBigRuntimeOperations
	 * 
	 * Return the associated CTS Vocabulary API Runtime Operations instance;
	 * lazy initialized as required.
	 */
	@LgClientSideSafe
    LexBigRuntimeOperations getVAPIRuntimeOperations();
	
	/**
	 * @return getVAPICodeMappingOperations
	 * 
	 * Return the associated CTS Vocabulary API Code Mapping Operations instance;
	 * lazy initialized as required.
	 */
	@LgClientSideSafe
    LexBigCodeMappingOperations getVAPICodeMappingOperations();
	
}
