/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.impl;

import org.LexGrid.LexBIG.DataModel.Core.ResolvedConceptReference;
import org.lexgrid.extension.cts.lexevs.adapters.ConceptReferenceToConceptIdAdapter;
import org.lexgrid.extension.cts.lexevs.util.template.ConceptMapper;
import org.lexgrid.extension.cts.lexevs.util.template.LexEvsTemplate;
import org.lexgrid.extension.cts.terminology.dto.ConceptId;

/**
 *transforms a {@link ResolvedConceptReference} to a {@link ConceptId} for use in the
 * {@link LexEvsTemplate} API.
 */
public class ConceptIdMapper implements ConceptMapper<ConceptId> {

    /**
     * transforms a {@link ResolvedConceptReference} to a {@link ConceptId} for use in the
     * {@link LexEvsTemplate} API.
     *
     * @see com.gehc.ce.terminology.cts.impl.lexevs.util.template.ConceptMapper#map(org.LexGrid.LexBIG
     *      .DataModel.Core.ResolvedConceptReference)
     */
    @Override
    public ConceptId map(ResolvedConceptReference conceptReference) {
        ConceptId conceptId = ConceptReferenceToConceptIdAdapter.adapt(conceptReference);
        return conceptId;
    }

}