/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.impl;

import org.lexgrid.extension.cts.lexevs.adapters.AssociatedConceptToRelatedCodeAdapter;
import org.lexgrid.extension.cts.lexevs.util.template.AssociationGraphContext;
import org.lexgrid.extension.cts.lexevs.util.template.AssociationMapper;
import org.lexgrid.extension.cts.terminology.dto.RelatedCode;

/**
 *
 */
public class RelatedCodeAssociationMapper implements AssociationMapper<RelatedCode> {

    private String languageCode;

    private int depth;

    /**
     * @param languageCode
     */
    public RelatedCodeAssociationMapper(String languageCode, int depthLevel) {
        this.languageCode = languageCode;
        this.depth = depthLevel;
    }

    /*
     * (non-Javadoc)
     *
     * @seecom.gehc.ce.terminology.cts.impl.lexevs.util.template.AssociationMapper#map(com.gehc.ce.
     * terminology.cts.impl.lexevs.util.template.AssociationGraphContext)
     */
    @Override
    public RelatedCode map(AssociationGraphContext context) {

        return AssociatedConceptToRelatedCodeAdapter.adapt(context.getAssociation(), context
                .getAssociate(), languageCode, depth);
    }

}