/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.impl;

import org.LexGrid.LexBIG.DataModel.Core.ConceptReference;
import org.lexgrid.extension.cts.lexevs.adapters.ConceptReferenceToConceptIdAdapter;
import org.lexgrid.extension.cts.lexevs.util.template.AssociationGraphContext;
import org.lexgrid.extension.cts.lexevs.util.template.AssociationMapper;
import org.lexgrid.extension.cts.terminology.dto.ConceptRelationship;

/**
 *
 */
public class RelationshipMapper implements AssociationMapper<ConceptRelationship> {

    private ConceptReference rootConcept;

    /**
     * @param rootConcept
     */
    public RelationshipMapper(ConceptReference rootConcept) {
        this.rootConcept = rootConcept;
    }

    /*
     * (non-Javadoc)
     *
     * @see
     * com.gehc.ce.terminology.cts.impl.lexevs.util.template.AssociationMapper#map(java.lang.String,
     * org.LexGrid.LexBIG.DataModel.Core.AssociatedConcept)
     */
    @Override
    public ConceptRelationship map(AssociationGraphContext context) {

        ConceptRelationship relationship = new ConceptRelationship();
        relationship.setRelationQualifiers(null);
        // TODO: no relationship qualifiers in LexBIG?
        // NOTE: get the AssociatedConcept object from the Associate, and call getQualifiers

        relationship.setRelationshipCode(context.getAssociation());
        if (context.isAssociateTarget()) {
            relationship.setTargetConceptId(ConceptReferenceToConceptIdAdapter.adapt(context
                    .getAssociate()));
            relationship.setSourceConceptId(ConceptReferenceToConceptIdAdapter.adapt(rootConcept));
        } else {
            relationship.setSourceConceptId(ConceptReferenceToConceptIdAdapter.adapt(context
                    .getAssociate()));
            relationship.setTargetConceptId(ConceptReferenceToConceptIdAdapter.adapt(rootConcept));
        }

        return relationship;
    }

}