/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.lexevs.adapters;

import org.LexGrid.LexBIG.DataModel.Core.AssociatedConcept;
import org.lexgrid.extension.cts.terminology.dto.ConceptId;
import org.lexgrid.extension.cts.terminology.dto.MappedConceptCode;

public final class AssociationToMappedConceptAdapter {

    private AssociationToMappedConceptAdapter() {
    }

	public static MappedConceptCode adapt(String association,
			AssociatedConcept associate) {
		MappedConceptCode mappedCode = new MappedConceptCode();
		mappedCode.setMappedConceptId(new ConceptId(associate
				.getCodingSchemeURI(), associate.getConceptCode()));
		mappedCode.setMapQualityCode(association);
		return mappedCode;
	}

}