/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.lexevs.util.matchalgorithm;


public class LuceneQueryMatchingAlgorithm implements MatchingAlgorithm {

    private String name;


    @Override
    public boolean isAMatch(String stringToLookIn, String stringToLookFor) {
        if (stringToLookIn == null) {
            return stringToLookFor == null;
        }
        if (stringToLookFor == null) {
            return stringToLookIn == null;
        }
        return (stringToLookIn.indexOf(stringToLookFor) > -1);

    }

    /* (non-Javadoc)
     * @see com.gehc.ce.terminology.cts.impl.lexevs.util.MatchingAlgorithm#updateMatchText(java.lang.String)
     */
    @Override
    public String updateMatchText(String matchText) {
        return matchText;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}