/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.lexevs.util.template;

import org.LexGrid.LexBIG.DataModel.Core.AssociatedConcept;

/**
 * Simple implementation requiring context elements in constructor.
 */
public class AssociationGraphContextImpl implements UpdateableAssociationGraphContext {

    private String association;

    private AssociatedConcept associate;

    private boolean associateTarget;

    /**
     * Constructor requires each element in context.
     */
    public AssociationGraphContextImpl(boolean isAssociateTarget) {

        this.associateTarget = isAssociateTarget;
    }

    /*
     * (non-Javadoc)
     *
     * @seecom.gehc.ce.terminology.cts.impl.lexevs.util.template.UpdateableAssociationGraphContext#
     * setAssociation(java.lang.String)
     */
    public void setAssociation(String association) {
        this.association = association;
    }

    /*
     * (non-Javadoc)
     *
     * @seecom.gehc.ce.terminology.cts.impl.lexevs.util.template.UpdateableAssociationGraphContext#
     * setAssociate(org.LexGrid.LexBIG.DataModel.Core.AssociatedConcept)
     */
    public void setAssociate(AssociatedConcept associate) {
        this.associate = associate;
    }

    /*
     * (non-Javadoc)
     *
     * @seecom.gehc.ce.terminology.cts.impl.lexevs.util.template.UpdateableAssociationGraphContext#
     * setAssociateTarget(boolean)
     */
    public void setAssociateTarget(boolean associateTarget) {
        this.associateTarget = associateTarget;
    }

    /*
     * (non-Javadoc)
     *
     * @see
     * com.gehc.ce.terminology.cts.impl.lexevs.util.template.AssociationGraphContext#getAssociate()
     */
    @Override
    public AssociatedConcept getAssociate() {
        return this.associate;
    }

    /*
     * (non-Javadoc)
     *
     * @see
     * com.gehc.ce.terminology.cts.impl.lexevs.util.template.AssociationGraphContext#getAssociation
     * ()
     */
    @Override
    public String getAssociation() {
        return this.association;
    }

    /*
     * (non-Javadoc)
     *
     * @see
     * com.gehc.ce.terminology.cts.impl.lexevs.util.template.AssociationGraphContext#isAssociateTarget
     * ()
     */
    @Override
    public boolean isAssociateTarget() {
        return this.associateTarget;
    }

}