/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.lexevs.util.template;

import org.LexGrid.LexBIG.DataModel.Collections.ConceptReferenceList;
import org.LexGrid.LexBIG.DataModel.Core.ConceptReference;
import org.LexGrid.LexBIG.Exceptions.LBInvocationException;
import org.LexGrid.LexBIG.Exceptions.LBParameterException;
import org.LexGrid.LexBIG.LexBIGService.CodedNodeSet;

/**
 * Simple restriction to be used for restricting queries to a given code and code system.
 */
public class CodeRestriction implements Restrictions {

    private String code;

    private String codeSystem;

    /**
     * @param code
     * @param codeSystem
     */
    public CodeRestriction(String code, String codeSystem) {
        this.code = code;
        this.codeSystem = codeSystem;
    }

    /*
     * (non-Javadoc)
     *
     * @see
     * com.gehc.ce.terminology.cts.impl.lexevs.util.template.Restrictions#addRestrictions(org.LexGrid
     * .LexBIG.LexBIGService.CodedNodeSet)
     */
    @Override
    public void addRestrictions(CodedNodeSet nodeSet) throws LBInvocationException,
            LBParameterException {
        ConceptReferenceList list = new ConceptReferenceList();
        ConceptReference ref = new ConceptReference();
        ref.setConceptCode(code);
        ref.setCodingSchemeName(codeSystem);
        list.addConceptReference(ref);
        nodeSet.restrictToCodes(list);
    }

}