/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.dto;

/**
 * a structure that contains the major and minor version of the CTS Specification. The current
 * version of the specification would be major:1, minor:0 (1.0)
 *
 */
public class CTSVersionId implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * major version number
     */
    private short major;

    /**
     * minor version number
     */
    private short minor;

    public CTSVersionId() {}

    public CTSVersionId(short major, short minor) {
        this.major = major;
        this.minor = minor;
    }

    /**
     * Gets the major value for this CTSVersionId.
     *
     * @return major
     */
    public short getMajor() {
        return major;
    }

    /**
     * Sets the major value for this CTSVersionId.
     *
     * @param major
     */
    public void setMajor(short major) {
        this.major = major;
    }

    /**
     * Gets the minor value for this CTSVersionId.
     *
     * @return minor
     */
    public short getMinor() {
        return minor;
    }

    /**
     * Sets the minor value for this CTSVersionId.
     *
     * @param minor
     */
    public void setMinor(short minor) {
        this.minor = minor;
    }

}