/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.dto;

/**
 * A designation value for a concept with some supporting info.
 */
public class ConceptDesignation implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * a designation for a coded concept
     */
    private java.lang.String designation;

    /**
     * he language of the designation
     */
    private java.lang.String languageCode;

    /**
     * TRUE means that this designation should be used for the supplied language unless other
     * criteria apply. At most, one designation may be marked as preferred for a given concept and
     * language.
     */
    private boolean preferredForLanguage;

    public ConceptDesignation() {}

    public ConceptDesignation(java.lang.String designation, java.lang.String languageCode,
            boolean preferredForLanguage) {
        this.designation = designation;
        this.languageCode = languageCode;
        this.preferredForLanguage = preferredForLanguage;
    }

    /**
     * Gets the designation value for this ConceptDesignation.
     *
     * @return designation
     */
    public java.lang.String getDesignation() {
        return designation;
    }

    /**
     * Sets the designation value for this ConceptDesignation.
     *
     * @param designation
     */
    public void setDesignation(java.lang.String designation) {
        this.designation = designation;
    }

    /**
     * Gets the language_code value for this ConceptDesignation.
     *
     * @return language_code
     */
    public java.lang.String getLanguageCode() {
        return languageCode;
    }

    /**
     * Sets the language_code value for this ConceptDesignation.
     *
     * @param languageCode
     */
    public void setLanguageCode(java.lang.String languageCode) {
        this.languageCode = languageCode;
    }

    /**
     * Gets the preferredForLanguage value for this ConceptDesignation.
     *
     * @return preferredForLanguage
     */
    public boolean isPreferredForLanguage() {
        return preferredForLanguage;
    }

    /**
     * Sets the preferredForLanguage value for this ConceptDesignation.
     *
     * @param preferredForLanguage
     */
    public void setPreferredForLanguage(boolean preferredForLanguage) {
        this.preferredForLanguage = preferredForLanguage;
    }
}