/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.dto;

/**
 * A concept identifier
 *
 */
public class ConceptId implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * The identifier for the code system the concept resides within.
     */
    private java.lang.String codeSystemId;

    /**
     * The code for the concept, unique within the code system. For the ECIS code system, this is
     * the ECID.
     */
    private java.lang.String conceptCode;

    public ConceptId() {}

    public ConceptId(java.lang.String codeSystemId, java.lang.String conceptCode) {
        this.codeSystemId = codeSystemId;
        this.conceptCode = conceptCode;
    }

    /**
     * Gets the codeSystem_id value for this ConceptId.
     *
     * @return codeSystem_id
     */
    public java.lang.String getCodeSystemId() {
        return codeSystemId;
    }

    /**
     * Sets the codeSystem_id value for this ConceptId.
     *
     * @param codeSystemId
     */
    public void setCodeSystemId(java.lang.String codeSystemId) {
        this.codeSystemId = codeSystemId;
    }

    /**
     * Gets the concept_code value for this ConceptId.
     *
     * @return concept_code
     */
    public java.lang.String getConceptCode() {
        return conceptCode;
    }

    /**
     * Sets the concept_code value for this ConceptId.
     *
     * @param conceptCode
     */
    public void setConceptCode(java.lang.String conceptCode) {
        this.conceptCode = conceptCode;
    }
}