/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.dto;

/**
 * A property on a concept.
 */
public class ConceptProperty implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * a concept code that identifies a particular property
     */
    private java.lang.String propertyCode;

    /**
     * the value of this property for a given concept
     */
    private java.lang.String propertyValue;

    /**
     * the language of the propertyValue (optional)
     */
    private java.lang.String languageCode;

    /**
     * the MIME type of the propertyValue (default: text/plain)
     */
    private java.lang.String mimeTypeCode = "text/plain";

    public ConceptProperty() {}

    public ConceptProperty(java.lang.String propertyCode, java.lang.String propertyValue,
            java.lang.String languageCode, java.lang.String mimeTypeCode) {
        this.propertyCode = propertyCode;
        this.propertyValue = propertyValue;
        this.languageCode = languageCode;
        this.mimeTypeCode = mimeTypeCode;
    }

    /**
     * Gets the property_code value for this ConceptProperty.
     *
     * @return property_code
     */
    public java.lang.String getPropertyCode() {
        return propertyCode;
    }

    /**
     * Sets the property_code value for this ConceptProperty.
     *
     * @param propertyCode
     */
    public void setPropertyCode(java.lang.String propertyCode) {
        this.propertyCode = propertyCode;
    }

    /**
     * Gets the propertyValue value for this ConceptProperty.
     *
     * @return propertyValue
     */
    public java.lang.String getPropertyValue() {
        return propertyValue;
    }

    /**
     * Sets the propertyValue value for this ConceptProperty.
     *
     * @param propertyValue
     */
    public void setPropertyValue(java.lang.String propertyValue) {
        this.propertyValue = propertyValue;
    }

    /**
     * Gets the language_code value for this ConceptProperty.
     *
     * @return language_code
     */
    public java.lang.String getLanguageCode() {
        return languageCode;
    }

    /**
     * Sets the language_code value for this ConceptProperty.
     *
     * @param languageCode
     */
    public void setLanguageCode(java.lang.String languageCode) {
        this.languageCode = languageCode;
    }

    /**
     * Gets the mimeType_code value for this ConceptProperty.
     *
     * @return mimeType_code
     */
    public java.lang.String getMimeTypeCode() {
        return mimeTypeCode;
    }

    /**
     * Sets the mimeType_code value for this ConceptProperty.
     *
     * @param mimeTypeCode
     */
    public void setMimeTypeCode(java.lang.String mimeTypeCode) {
        this.mimeTypeCode = mimeTypeCode;
    }
}