/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.dto;

import java.io.Serializable;

public class LexEvsExpansionContext implements Serializable {

    private static final long serialVersionUID = 1L;

    private String codingSchemeId;

    private String conceptCode;

    private String relationshipCode;

    private boolean sourceToTarget;

    private boolean directRelationsOnly;

    private String designationLanguagecode;

    private int depthLevel;

/**
     * @return the codingSchemeId
     */
public String getCodingSchemeId() {
        return codingSchemeId;
    }

    /**
     * @param codingSchemeId the codingSchemeId to set
     */
    public void setCodingSchemeId(String codingSchemeId) {
        this.codingSchemeId = codingSchemeId;
    }

    /**
     * @return the conceptCode
     */
    public String getConceptCode() {
        return conceptCode;
    }

    /**
     * @param conceptCode the conceptCode to set
     */
    public void setConceptCode(String conceptCode) {
        this.conceptCode = conceptCode;
    }

    /**
     * @return the relationshipCode
     */
    public String getRelationshipCode() {
        return relationshipCode;
    }

    /**
     * @param relationshipCode the relationshipCode to set
     */
    public void setRelationshipCode(String relationshipCode) {
        this.relationshipCode = relationshipCode;
    }

    /**
     * @return the sourceToTarget
     */
    public boolean isSourceToTarget() {
        return sourceToTarget;
    }

    /**
     * @param sourceToTarget the sourceToTarget to set
     */
    public void setSourceToTarget(boolean sourceToTarget) {
        this.sourceToTarget = sourceToTarget;
    }

    /**
     * @return the directRelationsOnly
     */
    public boolean isDirectRelationsOnly() {
        return directRelationsOnly;
    }

    /**
     * @param directRelationsOnly the directRelationsOnly to set
     */
    public void setDirectRelationsOnly(boolean directRelationsOnly) {
        this.directRelationsOnly = directRelationsOnly;
    }

    /**
     * @return the designationLanguagecode
     */
    public String getDesignationLanguagecode() {
        return designationLanguagecode;
    }

    /**
     * @param designationLanguagecode the designationLanguagecode to set
     */
    public void setDesignationLanguagecode(String designationLanguagecode) {
        this.designationLanguagecode = designationLanguagecode;
    }

    /**
     * @return the depthLevel
     */
    public int getDepthLevel() {
        return depthLevel;
    }

    /**
     * @param depthLevel the depthLevel to set
     */
    public void setDepthLevel(int depthLevel) {
        this.depthLevel = depthLevel;
    }
}