/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.dto;

/**
 * Info about the result of mapping or translating a given code to the target code.
 */
public class MappedConceptCode implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * a code system identifier and concept code. this is the concept id for the result of a mapping -
     * the target.
     */
    private ConceptId mappedConceptId;

    /**
     * a code representing the ?quality? of the mapping operation, such as exact, broader, narrower,
     * etc.
     */
    private java.lang.String mapQualityCode;

    public MappedConceptCode() {}

    public MappedConceptCode(ConceptId mappedConceptId, java.lang.String mapQualityCode) {
        this.mappedConceptId = mappedConceptId;
        this.mapQualityCode = mapQualityCode;
    }

    /**
     * Gets the mappedConcept_id value for this MappedConceptCode.
     *
     * @return mappedConcept_id
     */
    public ConceptId getMappedConceptId() {
        return mappedConceptId;
    }

    /**
     * Sets the mappedConcept_id value for this MappedConceptCode.
     *
     * @param mappedConceptId
     */
    public void setMappedConceptId(ConceptId mappedConceptId) {
        this.mappedConceptId = mappedConceptId;
    }

    /**
     * Gets the mapQuality_code value for this MappedConceptCode.
     *
     * @return mapQuality_code
     */
    public java.lang.String getMapQualityCode() {
        return mapQualityCode;
    }

    /**
     * Sets the mapQuality_code value for this MappedConceptCode.
     *
     * @param mapQualityCode
     */
    public void setMapQualityCode(java.lang.String mapQualityCode) {
        this.mapQualityCode = mapQualityCode;
    }

}