/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.dto;

/**
 * The StringAndLanguage structure contains both the text and associated language code. The two part
 * structure exists because it is possible for the language returned by lookupDesignation and other
 * operations to be different than the requested language. As an example, the client may request the
 * designation for a concept in the en-scouse (English Liverpudlian dialect) and the service may
 * return a designation in unqualified English (en). The client software may need to know that the
 * returned value doesn?t exactly match the requested value.
 */
public class StringAndLanguage implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * The text value.
     */
    private java.lang.String text;

    /**
     * The language code.  pretty obvious huh.
     */
    private java.lang.String languageCode;

    public StringAndLanguage() {}

    public StringAndLanguage(java.lang.String text, java.lang.String languageCode) {
        this.text = text;
        this.languageCode = languageCode;
    }

    /**
     * Gets the text value for this StringAndLanguage.
     *
     * @return text
     */
    public java.lang.String getText() {
        return text;
    }

    /**
     * Sets the text value for this StringAndLanguage.
     *
     * @param text
     */
    public void setText(java.lang.String text) {
        this.text = text;
    }

    /**
     * Gets the language_code value for this StringAndLanguage.
     *
     * @return language_code
     */
    public java.lang.String getLanguageCode() {
        return languageCode;
    }

    /**
     * Sets the language_code value for this StringAndLanguage.
     *
     * @param languageCode
     */
    public void setLanguageCode(java.lang.String languageCode) {
        this.languageCode = languageCode;
    }

}