/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.exceptions;

public class CodeSystemNameIdMismatch extends RuntimeException {

	private static final long serialVersionUID = 1L;

	private java.lang.String codeSystemId;

	private java.lang.String codeSystemName;

	public CodeSystemNameIdMismatch() {
	}

	public CodeSystemNameIdMismatch(java.lang.String codeSystemId,
			java.lang.String codeSystemName) {
		this.codeSystemId = codeSystemId;
		this.codeSystemName = codeSystemName;
	}

/**
	 * Gets the codeSystem_id value for this CodeSystemNameIdMismatch.
	 *
	 * @return codeSystem_id
	 */
public java.lang.String getCodeSystemId() {
		return codeSystemId;
	}

	/**
	 * Sets the codeSystem_id value for this CodeSystemNameIdMismatch.
	 *
	 * @param codeSystemId
	 */
	public void setCodeSystemId(java.lang.String codeSystemId) {
		this.codeSystemId = codeSystemId;
	}

	/**
	 * Gets the codeSystem_name value for this CodeSystemNameIdMismatch.
	 *
	 * @return codeSystem_name
	 */
	public java.lang.String getCodeSystemName() {
		return codeSystemName;
	}

	/**
	 * Sets the codeSystem_name value for this CodeSystemNameIdMismatch.
	 *
	 * @param codeSystemName
	 */
	public void setCodeSystemName(java.lang.String codeSystemName) {
		this.codeSystemName = codeSystemName;
	}

}