/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.exceptions;


public class MapNameTargetMismatch extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private java.lang.String toCodeSystemId;

    private java.lang.String mapTargetCodeSystemId;

    public MapNameTargetMismatch() {}

    public MapNameTargetMismatch(java.lang.String toCodeSystemId,
            java.lang.String mapTargetCodeSystemId) {
        this.toCodeSystemId = toCodeSystemId;
        this.mapTargetCodeSystemId = mapTargetCodeSystemId;
    }

/**
     * Gets the toCodeSystem_id value for this MapNameTargetMismatch.
     *
     * @return toCodeSystem_id
     */
public java.lang.String getToCodeSystemId() {
        return toCodeSystemId;
    }

    /**
     * Sets the toCodeSystem_id value for this MapNameTargetMismatch.
     *
     * @param toCodeSystemId
     */
    public void setToCodeSystemId(java.lang.String toCodeSystemId) {
        this.toCodeSystemId = toCodeSystemId;
    }

    /**
     * Gets the mapTargetCodeSystem_id value for this MapNameTargetMismatch.
     *
     * @return mapTargetCodeSystem_id
     */
    public java.lang.String getMapTargetCodeSystemId() {
        return mapTargetCodeSystemId;
    }

    /**
     * Sets the mapTargetCodeSystem_id value for this MapNameTargetMismatch.
     *
     * @param mapTargetCodeSystemId
     */
    public void setMapTargetCodeSystemId(java.lang.String mapTargetCodeSystemId) {
        this.mapTargetCodeSystemId = mapTargetCodeSystemId;
    }
}