/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.exceptions;


public class MappingNotAvailable extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private java.lang.String fromCodeSystemId;

    private java.lang.String toCodeSystemId;

    public MappingNotAvailable() {}

    public MappingNotAvailable(java.lang.String fromCodeSystemId, java.lang.String toCodeSystemId) {
        this.fromCodeSystemId = fromCodeSystemId;
        this.toCodeSystemId = toCodeSystemId;
    }

/**
     * Gets the fromCodeSystem_id value for this MappingNotAvailable.
     *
     * @return fromCodeSystem_id
     */
public java.lang.String getFromCodeSystemId() {
        return fromCodeSystemId;
    }

    /**
     * Sets the fromCodeSystem_id value for this MappingNotAvailable.
     *
     * @param fromCodeSystemId
     */
    public void setFromCodeSystemId(java.lang.String fromCodeSystemId) {
        this.fromCodeSystemId = fromCodeSystemId;
    }

    /**
     * Gets the toCodeSystem_id value for this MappingNotAvailable.
     *
     * @return toCodeSystem_id
     */
    public java.lang.String getToCodeSystemId() {
        return toCodeSystemId;
    }

    /**
     * Sets the toCodeSystem_id value for this MappingNotAvailable.
     *
     * @param toCodeSystemId
     */
    public void setToCodeSystemId(java.lang.String toCodeSystemId) {
        this.toCodeSystemId = toCodeSystemId;
    }
}