/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.cts.terminology.exceptions;

import org.lexgrid.extension.cts.terminology.dto.ConceptId;

public class NoApplicableDesignationFound extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private ConceptId conceptId;

    private java.lang.String languageCode;

    public NoApplicableDesignationFound() {}

    public NoApplicableDesignationFound(ConceptId conceptId, java.lang.String languageCode) {
        this.conceptId = conceptId;
        this.languageCode = languageCode;
    }

/**
     * Gets the concept_id value for this NoApplicableDesignationFound.
     *
     * @return concept_id
     */
public ConceptId getConceptId() {
        return conceptId;
    }

    /**
     * Sets the concept_id value for this NoApplicableDesignationFound.
     *
     * @param conceptId
     */
    public void setConceptId(ConceptId conceptId) {
        this.conceptId = conceptId;
    }

    /**
     * Gets the language_code value for this NoApplicableDesignationFound.
     *
     * @return language_code
     */
    public java.lang.String getLanguageCode() {
        return languageCode;
    }

    /**
     * Sets the language_code value for this NoApplicableDesignationFound.
     *
     * @param languageCode
     */
    public void setLanguageCode(java.lang.String languageCode) {
        this.languageCode = languageCode;
    }
}